import { 
  API_BASE_URL,
  API_URL_KEY,
} from './../constants/url';

/* Home Management = 홈 API */
export const API_URL_HOME = {
  homeToday: () => {
    // POST: 오늘 매출 및 정산 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/home/today`;
  },
  homeOverview: () => {
    // POST: 거래 인사이트 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/home/overview`;
  },
  homeNoticeList: () => {
    // POST: 공지사항 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/home/notice/list`;
  },
  homeMonth: () => {
    // POST: 당월 매출 및 정산 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/home/month`;
  },
  homeGroups: () => {
    // POST: GID 또는 MID 권한 별 mid 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/home/groups`;
  },
  homeBannerList: () => {
    // POST: 배너 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/home/banner/list`;
  },
};